package org.steveshipway.cheshirecat;

import net.minecraft.util.BlockPos;

// utility class for backwards compatibility with old forge
// Eventually, we'll use BlockPos instead of ChunkCoordinates everywhere.  This is for migration

public class ChunkCoordinates {
	public int posX = 0;
	public int posY = 0;
	public int posZ = 0;
	public ChunkCoordinates() {
	}
	public ChunkCoordinates(ChunkCoordinates c) {
		posX = c.posX;
		posY = c.posY;
		posZ = c.posZ;
	}
	public ChunkCoordinates(int x, int y, int z) {
		posX = x;
		posY = y;
		posZ = z;
	}
	public ChunkCoordinates(BlockPos b) {
		posX = b.getX();
		posY = b.getY();
		posZ = b.getZ();
	}

}
